<!-- MatchCSharp.xslt -->
<xsl:transform version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
  <xsl:output method='text'/>
  <xsl:template match='/'>
using System.Text.RegularExpressions;

// Regex Match code for C#
void MatchRegex()
{
    // Regex match
    RegexOptions   options = <xsl:value-of select='/input/options' />;
    Regex          regex = new Regex(@"<xsl:value-of select='/input/expression' />", options);
    string         input = @"<xsl:value-of select='/input/input' />";

    // Check for match
    bool   isMatch = regex.IsMatch(input);
    if( isMatch )
    {
        // TODO: Do something with result
        System.Windows.Forms.MessageBox.Show(input, "IsMatch");
    }

    // Get match
    Match   match = regex.Match(input);
    if( match != null )
    {
        // TODO: Do something with result
        System.Windows.Forms.MessageBox.Show(match.Value, "Match");
    }

    // Get matches
    MatchCollection   matches = regex.Matches(input);
    for( int i = 0; i != matches.Count; ++i )
    {
        // TODO: Do something with result
        System.Windows.Forms.MessageBox.Show(matches[i].Value, "Match");
    }

    // Numbered groups
    for( int i = 0; i != match.Groups.Count; ++i )
    {
        Group   group = match.Groups[i];
        
        // TODO: Do something with result
        System.Windows.Forms.MessageBox.Show(group.Value, "Group: " + i);
    }

    // Named groups
    string   groupA = match.Groups["groupA"].Value;
    string   groupB = match.Groups["groupB"].Value;

    // TODO: Do something with result
    System.Windows.Forms.MessageBox.Show(groupA, "Group: groupA");
    System.Windows.Forms.MessageBox.Show(groupB, "Group: groupB");
}
  </xsl:template>
</xsl:transform>
