<!-- MatchVB.xslt -->
<xsl:transform version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
  <xsl:output method='text'/>
  <xsl:template match='/'>
Imports System.Text.RegularExpressions

' Regex Match code for VB
Sub MatchRegex()
    ' Regex match
    Dim options As RegexOptions = <xsl:value-of select='/input/options' />
    Dim regex As Regex = new Regex("<xsl:value-of select='/input/expression' />", options)
    Dim input As String = "<xsl:value-of select='/input/input' />"

    ' Check for match
    Dim isMatch As Boolean = regex.IsMatch(input)
    If isMatch Then
        ' TODO: Do something with result
        System.Windows.Forms.MessageBox.Show(input, "IsMatch")
    End If

    ' Get match
    Dim match As Match = regex.Match(input)
    If Not match Is Nothing Then
        ' TODO: Do something with result
        System.Windows.Forms.MessageBox.Show(match.Value, "Match")
    End If

    ' Get matches
    Dim matches As MatchCollection = regex.Matches(input)
    Dim i As Integer
    For i = 0 To matches.Count - 1
        ' TODO: Do something with result
        System.Windows.Forms.MessageBox.Show(matches(i).Value, "Match")
    Next I

    ' Numbered groups
    For i = 0 To match.Groups.Count - 1
        Dim group As Group = match.Groups(i)

        ' TODO: Do something with result
        System.Windows.Forms.MessageBox.Show(group.Value, "Group: " &amp; i)
    Next i

    ' Named groups
    Dim groupA As String = match.Groups("groupA").Value
    Dim groupB As String = match.Groups("groupB").Value

    ' TODO: Do something with result
    System.Windows.Forms.MessageBox.Show(groupA, "Group: groupA")
    System.Windows.Forms.MessageBox.Show(groupB, "Group: groupB")
End Sub
  </xsl:template>
</xsl:transform>
